1. broadcasts
Peach
  • template-messages
    • Send a pre-approved template message
      POST
    • Poll template message status
      GET
    • Poll template messages status
      GET
    • Connect to AI Agent
      POST
    • Send an App message
      POST
  • broadcasts
    • List broadcasts
      GET
    • Launch a broadcast
      POST
    • Poll broadcast status
      GET
    • Get broadcast details
      GET
    • Archive broadcast
      PATCH
    • Cancel broadcast
      PATCH
  • whatsapp_templates
    • List all templates
      GET
    • Create a template
      POST
    • Update template
      PATCH
    • Archive template
      PATCH
    • Pause template
      PATCH
    • Submit template
      PATCH
    • Fetch template details
      GET
  • conversations
    • List messages
      GET
    • List conversations
      GET
    • Update conversation status
      PATCH
    • Agent Assignment
      POST
    • Close Conversation
      POST
  • contacts
    • Create multiple contacts
      POST
    • Update a contact
      PATCH
    • Create a contact
      POST
    • Bulk update communication preferences
      POST
  • orders
    • Create an order
    • Find order by ID
    • Create a refund for an order
  • medias
    • About uploaded media
    • List available medias
    • Add a media (Deprecated)
    • Remove a media
    • Create a direct upload for media
    • Finalize a direct uploaded media
  • webhooks
    • Order status webhooks
    • Flow execution status webhooks
    • Message delivery status webhooks
    • AI Agent Execution Webhooks
  • Schemas
    • Schemas
      • WhatsApp Template
      • WhatsApp Template Parameters
      • Order
      • RefundRequest
      • Contact
      • LineItem
      • OrderExpiry
      • TemplateMessage
      • AnyValue
      • Argument
      • Message
      • MessageResponse
  1. broadcasts

Archive broadcast

PATCH
/api/v1/broadcasts/{id}/archive
Archive a broadcast. Only possible when status is draft or active and no campaign runs are scheduled.

Request

Authorization
Add parameter in header
Authorization
Example:
Authorization: ********************
Path Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PATCH '/api/v1/broadcasts/cmp_abc123/archive' \
--header 'Authorization: <api-key>'

Responses

🟢200Success
application/json
Archived broadcast
Body

Example
{
    "id": "string",
    "name": "string",
    "status": "draft",
    "paused": true,
    "disabled": true,
    "template": {
        "id": "string",
        "name": "string",
        "status": "string"
    },
    "reply_automation": {
        "id": "string",
        "name": "string",
        "type": "ai_agent"
    },
    "launch": {
        "phone_number": "string",
        "delivery_mode": "bulk",
        "schedule_mode": "instant",
        "scheduled_launch_time": "2019-08-24T14:15:22.123Z",
        "scheduled_end_date": "2019-08-24",
        "launched_at": "2019-08-24T14:15:22.123Z",
        "audiences": [
            "string"
        ]
    },
    "stats": {
        "total_recipients": 0,
        "queued": 0,
        "sent": 0,
        "delivered": 0,
        "read": 0,
        "clicked": 0,
        "replied": 0,
        "engaged": 0,
        "unsubscribed": 0,
        "failed": 0,
        "unknown": 0,
        "delivered_percentage": 0,
        "read_percentage": 0,
        "engaged_percentage": 0,
        "unsubscribed_percentage": 0,
        "click_per_unique_opens": 0
    },
    "created_at": "2019-08-24T14:15:22.123Z",
    "updated_at": "2019-08-24T14:15:22.123Z"
}
🟠422Cannot archive
Modified at 2026-04-21 12:14:00
Previous
Get broadcast details
Next
Cancel broadcast
Built with